# $Revision: 1.70.2.266.2.92 $, $Date: 2002/09/27 13:01:17 $
#
# If you define the following as 1, only kernel, -headers and -source
# packages will be built
#
# _with_preemptible	- build with Preemptible patch
# _with_o1_sched	- build with new O(1) scheduler
# _with_acpi		- build with acpi support
# _without_smp		- don't build SMP kernel
# _without_up		- don't build UP kernel
# _without_wrr		- don't build WRR support
#
%define		krelease		8
#
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')
%define		no_install_post_strip	1
#
%define		pre_version		pre1
%define		ipvs_version		1.0.3
%define		freeswan_version	1.97
%define		wlan_version		0.1.13
%define		sym_ncr_version		sym-1.7.3c-ncr-3.4.3b
%define		IPperson_version	20020427-2.4.18
%define		grsec_version		1.9.4-2.4.18
%define		aic_version		6.2.3-2.4.7
%define		jfs_version		2.4-1.0.20
%define		lvm_version		1.0.4
%define		evms_version		1.0.1
%define		tridentfb_version	0.7.0
%define		ntfs_version		2.0.7d	
%define		drm_xfree_version	4.2.0
Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(fr):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl):	Jdro Linuxa
Name:		kernel
Version:	2.4.18
Release:	%{krelease}%{?_with_preemptible:_pr}%{?_with_o1_sched:_o1}%{?_with_acpi:_acpi}%{?_without_wrr:_nowrr}
License:	GPL
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{version}.tar.bz2
Source1:	%{name}-autoconf.h
Source2:	%{name}-BuildASM.sh
Source3:	http://www.garloff.de/kurt/linux/dc395/dc395-141.tar.gz
Source5:	http://tulipe.cnam.fr/personne/lizzi/linux/linux-2.3.99-pre6-fore200e-0.2f.tar.gz
# Don't use following patch, it may hang the NIC (baggins)
#Source5:	http://tulipe.cnam.fr/personne/lizzi/linux/linux-2.4.0-test3-fore200e-0.2g.tar.gz
# based on cvs cvs@pserver.samba.org:/cvsroot netfilter/userspace
Source7:	linux-%{version}-netfilter.tar.gz
Source10:	ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-%{wlan_version}.tar.gz
# new -> ftp://ftp.tux.org/pub/roudier/drivers/portable/sym-2.1.x/sym-2.1.16-20011028.tar.gz
Source11:	ftp://ftp.tux.org/pub/people/gerard-roudier/drivers/linux/stable/%{sym_ncr_version}.tar.gz
Source12:	http://download.sourceforge.net/ippersonality/ippersonality-%{IPperson_version}.tar.gz
Source13:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfs-%{jfs_version}.tar.gz
Source14:	http://www.xfree86.org/~alanh/linux-drm-%{drm_xfree_version}-kernelsource.tar.gz
Source20:	%{name}-ia32.config
Source21:	%{name}-ia32-smp.config
Source50:	%{name}-sparc.config
Source51:	%{name}-sparc-smp.config
Source60:	%{name}-sparc64.config
Source61:	%{name}-sparc64-smp.config
Source70:	%{name}-alpha.config
Source71:	%{name}-alpha-smp.config
Source73:	%{name}-ppc.config
Source74:	%{name}-ppc-smp.config
#Source1001:	%{name}-abi.config
Source1002:	%{name}-addon.config
Source1003:	%{name}-netfilter.config
Source1004:	%{name}-ipvs.config
Source1005:	%{name}-evms.config
Source1666:	%{name}-grsec.config
Source1667:	%{name}-int.config
Source1668:	%{name}-wrr.config
Source1999:	%{name}-preemptive.config

# New features

Patch0:		%{name}-pldfblogo.patch
# from ftp://ftp.kerneli.org/pub/linux/kernel/crypto/v2.4/patch-int-2.4.3.1.gz
Patch1:		patch-int-%{version}.3.bz2
# from ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-*
Patch2:		linux-%{version}-freeswan-%{freeswan_version}.patch.gz
# from  http://home.sch.bme.hu/~cell/br2684/dist/010402/br2684-against2.4.2.diff
Patch4:		br2684-against2.4.17.diff
# from ftp://linux-xfs.sgi.com/projects/xfs/download/patches/
Patch5:		linux-2.4.18-xfs-20020517.patch.gz
# from ftp://ftp.kernel.org/pub/linux/kernel/people/sct/ext3/v2.4/
Patch6:		linux-%{version}-ext3-0.9.18.patch
# Homepage of ABI:	http://linux-abi.sourceforge.net/
# from ftp://ftp.kernel.org/pub/linux/kernel/people/hch/linux-abi/v2.4/linux-abi-2.4.15.0.patch.bz2 
Patch7:		linux-abi-2.4.17.0.patch.bz2
Patch8:		http://www.uow.edu.au/~andrewm/linux/cpus_allowed.patch
# from http://grsecurity.net/grsecurity-%{grsec_version}.patch
Patch9:		grsecurity-%{grsec_version}.patch
# Preemptive kernel  patch
Patch10:	ftp://ftp.kernel.org/pub/linux/kernel/people/rml/preempt-kernel/v2.4/preempt-%{name}-rml-%{version}-4.patch

Patch11:	ftp://ftp.kernel.org/pub/linux/kernel/people/rml/netdev-random/v2.4/netdev-random-core-rml-%{version}-1.patch
Patch12:	ftp://ftp.kernel.org/pub/linux/kernel/people/rml/netdev-random/v2.4/netdev-random-drivers-rml-%{version}-1.patch
Patch13:	http://www.linuxvirtualserver.org/software/kernel-2.4/linux-%{version}-ipvs-%{ipvs_version}.patch.gz
Patch14:	http://people.redhat.com/mingo/O(1)-scheduler/sched-O1-%{version}-pre8-K3.patch

Patch15:	http://luxik.cdi.cz/~devik/qos/htb/v2/htb2_2.4.17.diff

# from ftp://ftp.kernel.org/pub/linux/kernel/people/dwmw2/linux-2.4.19-shared-zlib.bz2
Patch16:	linux-2.4.19-shared-zlib.bz2
Patch17:	%{name}-gcc31.patch
Patch18:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfs-%{version}-patch
Patch19:	http://unc.dl.sourceforge.net/sourceforge/linux-ntfs/linux-2.4.18-ntfs-%{ntfs_version}.patch.bz2

Patch20:	ftp://ftp.kernel.org/pub/linux/kernel/people/rml/preempt-kernel/v2.4/ingo-O1-sched/preempt-%{name}-rml-%{version}-rc1-ingo-K3-1.patch

Patch21:	linux-%{version}-hpfs.patch

# ftp://ftp.samba.org/pub/unpacked/ppp/linux/mppe/
Patch22:	linux-%{version}-mppe.patch

Patch23:	hfsplus-20011213.patch

Patch24:	http://luxik.cdi.cz/~devik/qos/imq_2.4.12.diff

Patch25:	wrr-linux-2.4.9.patch

# Assorted bugfixes

# from LKML
Patch100:	linux-scsi-debug-bug.patch
Patch101:	linux-2.4.2-raw-ip.patch
Patch102:	PCI_ISA_bridge.patch
Patch103:	linux-2.4.2-nvram-hdd.patch
Patch104:	linux-2.4-module.fix.patch
# this patch adds support for "io" and "irq" options in PCNet32 driver module
Patch105:	linux-2.4.2-pcnet-parms.patch
Patch106:	http://www.kernel.org/pub/linux/kernel/people/hedrick/ide-%{version}/ide.%{version}-rc1.02152002.patch.bz2
Patch107:	linux-reiserfs-rename.patch
Patch108:	linux-alpha-nfs-2.4.2.patch
Patch109:	linux-2.4-string.patch
# raid5 xor fix for PIII/P4, should go away shortly
Patch110:	linux-2.4.0-raid5xor.patch
# disable some networking printk's
Patch111:	linux-2.4.1-netdebug.patch
# SCSI Reset patch for clustering stuff
Patch112:	linux-2.4.1-scsi-reset.patch
# Add an ioctl to the block layer so we can be EFI compliant
Patch113:	linux-2.4.2-blkioctl-sector.patch
Patch114:	linux-2.4.18-sparc-sunlance.patch
# fix lun probing on multilun RAID chassis
Patch115:	linux-2.4.12-scsi_scan.patch
# fix pcnet32 networkdriver load vs ifconfig races
Patch116:	linux-2.4.3-pcnet32.patch
# fix rawio
Patch117:	linux-2.4.3-rawio.patch
Patch118:	linux-2.4.18-HPT366.patch
#	patch119
Patch120:	linux-2.4.10-aironet.patch
Patch121:	linux-2.4.10-cpqfc.patch
# Created from lvm.tgz:LVM/PATCHES by doing make
Patch122:	lvm-%{lvm_version}-%{version}.patch.gz
# fixed xquad_portio
Patch123:	xquad_portio.fix
# 
Patch124:	linux-proc_net_dev-counter-fix.patch
Patch125:	01-sigxfs-vs-blkdev.patch
Patch126:	linux-2.4.18-SPARC64-ide.h-fix.patch
Patch127:	%{name}-2.4.18-SPARC64-PLD.patch
Patch128:	linux-AXP.patch
Patch129:	%{name}-Makefile-include-fix.patch
Patch130:	%{name}-2.4.17-netsyms-export-fix.patch
Patch131:	%{name}-2.4.18-personality.patch

Patch132:	linux-2.4.18.secfix.patch
Patch133:	linux-2.4.18-netsyms-fix.patch

Patch134:	linux-2.4.12-riva-ppc.patch.bz2
Patch135:	linux-2.4.18-pre4-agp_uninorth-ppc.patch.bz2

# EVMS support (http://www.sourceforge.net/projects/evms/)
Patch136:	evms-%{evms_version}-linux-2.4.patch
Patch137:	evms-linux-2.4.18-common-files.patch

# 
Patch138:	http://www.cymes.de/members/joker/projects/kernel/pbbuttons.patch

# from http://www.drfruitcake.com/linux/dma-bp.html
Patch139:	http://www.uwsg.iu.edu/hypermail/linux/kernel/0201.2/att-1802/01-neofb-0.3.1-linux-2.4.18-pre6.patch

# from http://prdownloads.sourceforge.net/tridentfb/tridentfb-%{tridentfb_version}.tgz 
Patch140:	linux-2.4.18-tridentfb.patch
Patch141:	linux-tulip-vlan.patch
Patch142:	linux-modules-fixed.patch
Patch143:	linux-ppc-procesor.patch
Patch144:	amd762_irq_router.patch

Patch145:	linux-2.4.18-iptables.fix.patch

Patch147:	http://www.hojdpunkten.ac.se/054/samba/00-smbfs-2.4.18-codepage.patch.gz

# Patches fixing other patches or 3rd party sources ;)

# patch to fix missing EXPORT_SYMBOLS from IDE patch
Patch900:	ide-EXPORT_SYMBOL.fix
#Patch901:	
Patch902:	linux-2.4.19pre7-VIA.patch
Patch903:	linux-PPC-SMP.patch
Patch904:	linux-mtd-missing-include-fix-2.4.7-pre6.patch
#Patch905:	ippersonality-applay-fix.patch
# tweaks for grsecurity, description inside patch
Patch906:	linux-grsecurity-fixes.patch
Patch907:	loop-jari-2.4.18.0.patch
#Patch908:	ippersonality-post.patch
Patch909:	linux-53c7,8xx-build.fix
Patch910:	dc395-PLD.fix
Patch911:	linux-o1-sched-grsec-pre.patch
Patch912:	linux-o1-sched-grsec-post.patch
Patch913:	linux-o1-sched-abi.patch
Patch914:	linux-o1-sched-pre.patch
Patch915:	linux-o1-sched-post.patch
Patch916:	linux-o1-sched-evms.patch
Patch917:	netfilter-Makefile-fix.patch
# Fix xfs mmap issue
Patch918:	linux-2.4.18-xfs-mmap.patch

# DRM (note that this doesn't fix drm when running on 386 or 486 CPU!)
Patch950:	linux-drm-%{drm_xfree_version}-force-cmpxchg.patch

## realy temporrary patch
Patch1001:	2.4.18-temp.patch
# Marcelo's -pre
#Patch1000:	ftp://ftp.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.16-%{pre_version}.gz

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%ifarch sparc64
BuildRequires:	egcs64
%else
BuildRequires:	%{kgcc_package}
%endif
BuildRequires:	modutils
Buildrequires:	perl
BuildRequires:	rpm >= 4.0.2-75
Provides:	%{name}-up = %{version}-%{release}
Provides:	module-info
Provides:	i2c = 2.6.1
Provides:	bttv = 0.7.83
Provides:	%{name}(reiserfs) = %{version}
Provides:	%{name}(agpgart) = %{version}
Autoreqprov:	no
Prereq:		fileutils
Prereq:		modutils
Prereq:		geninitrd >= 2.13
Obsoletes:	kernel-modules
ExclusiveArch:	%{ix86} sparc sparc64 alpha ppc
%ifarch		%{ix86}
BuildRequires:	bin86
%endif
Conflicts:	lvm < 1.0.4
Conflicts:	xfsprogs < 2.0.0

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%description -l de
Das Kernel-Paket enthlt den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist fr grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Proze-Management, Gerte Ein- und Ausgaben, usw.

%description -l fr
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un systme d'exploitation Linux. Le noyau traite les
fonctions basiques d'un systme d'exploitation: allocation mmoire,
allocation de process, entre/sortie de peripheriques, etc.

%description -l pl
Pakiet zawiera jdro Linuksa niezbdne do prawidowego dziaania
Twojego komputera. Zawiera w sobie sterowniki do sprztu znajdujcego
si w komputerze, takich jak karty muzyczne, sterowniki dyskw, etc.

%package smp
Summary:	Kernel version %{version} compiled for SMP machines
Summary(de):	Kernel version %{version} fr Multiprozessor-Maschinen
Summary(fr):	Kernel version %{version} compiler pour les machine Multi-Processeur
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Provides:	%{name}-smp = %{version}-%{release}
Provides:	module-info
Provides:	i2c = 2.6.1
Provides:	bttv = 0.7.83
Provides:	%{name}(reiserfs) = %{version}
Provides:	%{name}(agpgart) = %{version}
Prereq:		modutils
Autoreqprov:	no

%description smp
This package includes a SMP version of the Linux %{version} kernel. It
is required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

%description -l de smp
Dieses Paket enthlt eine SMP (Multiprozessor)-Version von
Linux-Kernel %{version}. Es wird fr Maschinen mit zwei oder mehr
Prozessoren gebraucht, sollte aber auch auf Computern mit nur einer
CPU laufen.

%description -l fr smp
Ce package inclu une version SMP du noyau de Linux version {version}.
Il et ncessaire seulement pour les machine avec deux processeurs ou
plus, il peut quand mme fonctionner pour les systme mono-processeur.

%description -l pl smp
Pakiet zawiera jdro SMP Linuksa w wersji %{version}. Jest ono
wymagane przez komputery zawierajce dwa lub wicej procesorw.
Powinno rwnie dobrze dziaa na maszynach z jednym procesorem.

%package BOOT
Summary:	Kernel version %{version} used on the installation boot disks
Summary(de):	Kernel version %{version} fr Installationsdisketten
Summary(fr):	Kernel version %{version} utiliser pour les disquettes d'installation
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Prereq:		modutils
Autoreqprov:	no

%description BOOT
This package includes a trimmed down version of the Linux %{version}
kernel. This kernel is used on the installation boot disks only and
should not be used for an installed system, as many features in this
kernel are turned off because of the size constraints.

%description -l de BOOT
Dieses Paket enthlt eine verkleinerte Version vom Linux-Kernel
version %{version}. Dieser Kernel wird auf den
Installations-Bootdisketten benutzt und sollte nicht auf einem
installierten System verwendet werden, da viele Funktionen wegen der
Platzprobleme abgeschaltet sind.

%description -l pl BOOT
Pakiet zawiera jdro Linuksa dedykowane dyskietkom startowym i powinno
by uywane jedynie podczas instalacji systemu. Wiele uytecznych
opcji zostao wyczonych, aby jak najbardziej zmniejszy jego
rozmiar.

%package pcmcia-cs
Summary:	PCMCIA-CS modules
Summary(pl):	Moduy PCMCIA-CS 
Group:		Base/Kernel
Group(pl):	Podstawowe/Kernel
Provides:	%{name}-pcmcia-cs = %{pcmcia_version}
PreReq:		%{name}-up = %{version}-%{release}
Requires(postun):	%{name}-up = %{version}-%{release}

%description pcmcia-cs
PCMCIA-CS modules (%{pcmcia_version}).

%description -l pl pcmcia-cs
Moduy PCMCIA-CS (%{pcmcia_version}).

%package smp-pcmcia-cs
Summary:	PCMCIA-CS modules for SMP kernel
Summary(pl):	Moduy PCMCIA-CS dla maszyn SMP
Group:		Base/Kernel
Group(pl):	Podstawowe/Kernel
Provides:	%{name}-pcmcia-cs = %{pcmcia_version}
PreReq:		%{name}-smp = %{version}-%{release}
Requires(postun):	%{name}-smp = %{version}-%{release}

%description smp-pcmcia-cs
PCMCIA-CS modules for SMP kernel (%{pcmcia_version}).

%description -l pl smp-pcmcia-cs
Moduy PCMCIA-CS dla maszyn SMP (%{pcmcia_version}).

%package drm
Summary:	DRM kernel modules
Summary(pl):	Sterowniki DRM
Group:		Base/Kernel
Group(pl):	Podstawowe/Kernel
Provides:       %{name}-drm = %{drm_xfree_version}
PreReq:		%{name}-up = %{version}-%{release}
Requires(postun):	%{name}-up = %{version}-%{release}

%description drm
DRM kernel modules (%{drm_xfree_version}).

%description -l pl drm
Sterowniki DRM (%{drm_xfree_version}).

%package smp-drm
Summary:	DRM SMP kernel modules
Summary(pl):	Sterowniki DRM dla maszyn wieloprocesorowych
Group:		Base/Kernel
Group(pl):	Podstawowe/Kernel
Provides:       %{name}-drm = %{drm_xfree_version}
PreReq:		%{name}-smp = %{version}-%{release}
Requires(postun):	%{name}-smp = %{version}-%{release}

%description smp-drm
DRM SMP kernel modules (%{drm_xfree_version}).

%description -l pl smp-drm
Sterowniki DRM dla maszyn wieloprocesorowych (%{drm_xfree_version}).

%package headers
Summary:	Header files for the Linux kernel
Summary(pl):	Pliki nagwkowe jdra
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Provides:	%{name}-headers(agpgart) = %{version}
Provides:	%{name}-headers(reiserfs) = %{version}
Provides:	%{name}-headers(bridging) = %{version}
Provides:	i2c-devel = 2.6.1
Autoreqprov:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when building most standard
programs under Linux, as well as to rebuild the kernel.

%description headers -l pl
Pakiet zawiera pliki nagwkowe jdra, niezbedne do rekompilacji jdra
oraz niektrych programw.

%package source
Summary:	Kernel source tree
Summary(pl):	Kod rdowy jdra Linuxa
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Autoreqprov:	no
Requires:	%{name}-headers = %{version}-%{release}
%ifarch %{ix86}
Requires:	bin86
%endif

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description -l de source
Das Kernel-Source-Paket enthlt den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu compilieren, da sie auf Konstanten zurckgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien knnen auch
benutzt werden, um einen Kernel zu compilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description -l fr source
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont ncessaires pour compiler la plupart des
programmes C, car il dpend de constantes dfinies dans le code
source. Les sources peuvent tre aussi utilise pour compiler un noyau
personnalis pour avoir de meilleures performances sur des matriels
particuliers.

%description source -l pl
Pakiet zawiera kod rdowy jadra systemu.

%package doc
Summary:	Kernel documentation
Summary(pl):	Dokumentacja do kernela
Group:		Base/Kernel
Group(cs):	Zklad/Jdro
Group(da):	Basal/Kerne
Group(de):	Grundstzlich/Kern
Group(es):	Base/Ncleo
Group(fr):	Base/Noyau
Group(is):	Grunnforrit/Kjarninn
Group(it):	Base/Kernel
Group(ja):	١/ͥ
Group(no):	Basis/Kjerne
Group(pl):	Podstawowe/Jdro
Group(pt):	Base/Ncleo
Group(ru):	/
Group(sl):	Osnova/Jedro
Group(sv):	Bas/Krna
Group(uk):	/
Provides:	%{name}-doc = %{version}
Autoreqprov:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description -l pl doc
Pakiet zawiera dokumentacj jdra z katalogu
/usr/src/linux/Documentation.

%prep
%setup -q -a3 -a5 -a7 -a10 -a11 -a12 -a13 -a14 -n linux
#%patch1000 -p1
%patch0 -p1
%patch16 -p1
%patch1 -p1
%patch907 -p1
%patch132 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch918 -p1
%patch6 -p1
%patch19 -p1
#%patch7 -p1
%if %{?_with_o1_sched:1}%{!?_with_o1_sched:0}
%ifarch %{ix86}
# patch o1-scheduler-pre
%patch914 -p1
# O(1) scheduler patch
%patch14 -p1
# patch o1-scheduler-post
%patch915 -p1
%else
echo "Scheduler didn't work on ARCH different than Intel x86"
%endif
%else
%patch8 -p1
%endif
%if %{?_with_o1_sched:1}%{!?_with_o1_sched:0}
%ifarch%{ix86}
%patch911 -p1
%else
echo "Scheduler didn't work on ARCH different than Intel x86"
%endif
%endif
# grsecurity patch
%patch9 -p1
%patch906 -p1
%if %{?_with_o1_sched:1}%{!?_with_o1_sched:0}
%ifarch%{ix86}
# linux-o1-grsec-post
%patch912 -p1
%else
echo "Scheduler didn't work on ARCH different than Intel x86"
%endif
%endif
%patch15 -p1
%patch24 -p1
%patch17 -p1

%patch100 -p0
%patch101 -p1
%patch102 -p0
%patch103 -p0
%patch105 -p1
%patch106 -p1
%patch118 -p0
#%patch107 -p1
#%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p2
%patch113 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch124 -p1
%patch147 -p1

%patch904 -p0

# XFree DRM
%ifarch %{ix86}
%patch950 -p0
%endif
echo Added new kernel DRM modules...
rm -rf drivers/char/drm
cp -f drm/Makefile.kernel drm/Makefile
mv -f drm drivers/char

# Tekram DC395/315 U/UW SCSI host driver
echo Adding Tekram DC395/315 driver
patch -p1 -s <dc395/dc395-integ24.diff
install dc395/dc395x_trm.? dc395/README.dc395x drivers/scsi/

# Fore 200e ATM NIC
echo Adding FORE 200e ATM driver
patch -p1 -s <linux-2.3.99-pre6-fore200e-0.2f/linux-2.3.99-pre6-fore200e-0.2f.patch

# Netfilter
echo Adding Netfilter snapshot from 25.06.2002
(KERNEL_DIR=`pwd` ; export KERNEL_DIR
cd netfilter-patches/patch-o-matic
ANS=""
for suite in submited pending base extra pld ; do
	for i in `echo ${suite}/*.patch.ipv6` `echo ${suite}/*.patch` ; do
	ANS="${ANS}y\n\n"
	done
done
echo -e $ANS | ./runme pld )

patch -p1 < netfilter-patches/patch-o-matic/pld/log.patch

# IPVS
echo Adding IPVS
%patch13 -p1

# Remove -g from drivers/atm/Makefile and net/ipsec/Makefile
mv -f drivers/atm/Makefile drivers/atm/Makefile.orig
sed -e 's/EXTRA_CFLAGS.*//g' drivers/atm/Makefile.orig > drivers/atm/Makefile

# Free S/Wan
echo Adding Free S/Wan
mv -f net/ipsec/Makefile net/ipsec/Makefile.orig
sed -e 's/EXTRA_CFLAGS.*-g//g' net/ipsec/Makefile.orig > net/ipsec/Makefile

# install NCR/Symbios controler
echo Adding NCR/Symbios controler
mv %{sym_ncr_version}/*.{c,h} drivers/scsi
mv %{sym_ncr_version}/{README,ChangeLog}.* Documentation
rm -rf %{sym_ncr_version}

# IP personality
echo Adding IP Personality 
patch -p1 -s <ippersonality-%{IPperson_version}/patches/ippersonality-20020427-linux-2.4.18.diff

# JFS
echo Adding JFS
%patch18 -p1

echo Fixed compile process for 53c7,8xx driver
# fix 53c7,8xx build
%patch909 -p0

#preemptble kernel patch
%{?_with_preemptible:echo Installing Preemptible patch}
%{?_with_preemptible:%{?_with_o1_sched:%patch20 -p1}}
%{?_with_preemptible:%{!?_with_o1_sched:%patch10 -p1}}

# netdev-random
echo Installing Net Dev Random patch
%patch11 -p1
%patch12 -p1

%patch125 -p1

# fixed SPARC64 compilation
%ifarch sparc64
echo Fixed SPARC 64 compilation.
%patch127 -p1
%patch126 -p1
%endif

#fixed AXP compilation
%ifarch alpha
echo Fixed SYSCALL errors for DEC Alpha arch.
%patch128 -p0
%endif

# Fided include path
%patch129 -p0

# Fixed sysctl export symbols.
echo Fixed export sysctl symbols
%patch130 -p0

%patch133 -p0

%ifarch ppc
%patch134 -p1
%patch135 -p1
%endif

# EVMS
echo Installing EVMS patch 
%patch136 -p1
%patch137 -p1
%{?_with_o1_sched:%patch916 -p1}

%ifarch %{ix86}
%patch139 -p1
%endif

# Trident FB
echo Replacing Trident FB module.
%patch140 -p1

# VIA Southbridge update
echo Updating VIA Southbridge
%patch902 -p1

%patch903 -p0

%ifarch ppc
%patch138 -p1
%patch143 -p0
%endif

%patch141 -p1
%patch142 -p1

#HPFS fix.
echo Fixed HPFS
%patch21 -p1

# MPPE (ppp)
%patch22 -p1

# hfsplus
%patch23 -p1

# ADM router
echo Added patch fot ADM router
%patch144 -p1

# WRR support
%{!?_without_wrr:echo Added WRR support}
%{!?_without_wrr:%patch25 -p1}

# fixed iptables building process
echo Patch to fixing iptables building process ...
%patch145 -p0

#patch from LKML to fix small bug in kernel/module.c
echo Fixed small bug in modules
%patch104 -p1

%patch1001 -p0

# fixed SUNlance drivers card
%ifarch sparc
echo Fixed SUN Lande dirver
%patch114 -p0
%endif

# Fix EXTRAVERSION and CC in main Makefile
mv -f Makefile Makefile.orig
sed -e 's/EXTRAVERSION =.*/EXTRAVERSION =/g' \
%ifarch %{ix86} alpha sparc ppc
    -e 's/CC.*$(CROSS_COMPILE)gcc/CC		= %{kgcc}/g' \
%endif
%ifarch sparc64
    -e 's/CC.*$(CROSS_COMPILE)gcc/CC		= sparc64-linux-gcc/g' \
%endif
    Makefile.orig >Makefile


%build
BuildKernel() {
	%{?_debug:set -x}
	# is this a special kernel we want to build?
	BOOT=
	smp=
	[ "$1" = "BOOT" -o "$2" = "BOOT" ] && BOOT=yes
	[ "$1" = "smp" -o "$2" = "smp" ] && smp=yes
%ifarch %{ix86}
	if [ "$smp" = "yes" ]; then
		Config="ia32-smp"
	else
		Config="ia32"
	fi
%else
	if [ "$smp" = "yes" ]; then
		Config="%{_target_cpu}-smp"
	else
		Config="%{_target_cpu}"
	fi
%endif
	if [ "$BOOT" = "yes" ]; then
		KernelVer=%{version}-%{release}BOOT
	else
		KernelVer=%{version}-%{release}$1
	fi
	echo "BUILDING THE NORMAL KERNEL $*..."
:> arch/%{base_arch}/defconfig
	cat $RPM_SOURCE_DIR/kernel-$Config.config >> arch/%{base_arch}/defconfig
%ifarch i386
	echo "CONFIG_M386=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i586
	echo "CONFIG_M586=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i686
	echo "CONFIG_M686=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch athlon
	echo "CONFIG_MK7=y" >> arch/%{base_arch}/defconfig
%endif
#	cat %{SOURCE1001} >> arch/%{base_arch}/defconfig
	cat %{SOURCE1002} >> arch/%{base_arch}/defconfig
	cat %{SOURCE1003} >> arch/%{base_arch}/defconfig
	cat %{SOURCE1004} >> arch/%{base_arch}/defconfig
	cat %{SOURCE1005} >> arch/%{base_arch}/defconfig
	%{?_with_preemptive:cat %{SOURCE1999} >> arch/%{base_arch}/defconfig}
	%{!?_without_wrr:cat %{SOURCE1668} >> arch/%{base_arch}/defconfig}
%if %{?_with_acpi:1}%{!?_with_acpi:0}
	echo "CONFIG_ACPI=y" >> arch/%{base_arch}/defconfig
	echo "# CONFIG_ACPI_DEBUG is not set" >> arch/%{base_arch}/defconfig
	echo "CONFIG_SERIAL_ACPI=y" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_BUSMGR=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_SYS=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_CPU=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_BUTTON=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_AC=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_EC=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_CMBATT=m" >> arch/%{base_arch}/defconfig
	echo "CONFIG_ACPI_THERMAL=m" >> arch/%{base_arch}/defconfig
%endif
	if [ "$BOOT" = "yes" ] ; then
		echo "# CONFIG_GRKERNSEC is not set" >> arch/%{base_arch}/defconfig
		echo "# CONFIG_CRYPTO is not set" >> arch/%{base_arch}/defconfig
		echo "CONFIG_ROMFS_FS=y" >> arch/%{base_arch}/defconfig
	else
		cat %{SOURCE1667} >> arch/%{base_arch}/defconfig
		cat %{SOURCE1666} >> arch/%{base_arch}/defconfig
	fi
%ifarch i386
	mv -f arch/%{base_arch}/defconfig arch/%{base_arch}/defconfig.orig
	sed -e 's/# CONFIG_MATH_EMULATION is not set/CONFIG_MATH_EMULATION=y/' \
		arch/%{base_arch}/defconfig.orig > arch/%{base_arch}/defconfig
%endif

	%{__make} mrproper
	ln -sf arch/%{base_arch}/defconfig .config

%ifarch sparc
	sparc32 %{__make} oldconfig
	sparc32 %{__make} dep clean
%else
	%{__make} oldconfig
	%{__make} dep clean
%endif
	%{__make} include/linux/version.h
	
%ifarch %{ix86}
	%{__make} bzImage
%endif
%ifarch sparc
	sparc32 %{__make} boot
%else
%ifnarch %{ix86}
	%{__make}
%endif
%endif
%ifarch sparc
	sparc32 %{__make} modules
%else
	%{__make} modules
%endif

	mkdir -p $KERNEL_INSTALL_DIR/boot
	install System.map $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer
%ifarch %{ix86}
	cp arch/i386/boot/bzImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch alpha sparc sparc64
	gzip -cfv vmlinux > vmlinuz
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinuz $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch ppc
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
     %{__make} modules_install \
     	INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
	KERNELRELEASE=$KernelVer
	echo KERNEL RELEASE $KernelVer
}

KERNEL_BUILD_DIR=`pwd`
KERNEL_INSTALL_DIR=$KERNEL_BUILD_DIR-installed
rm -rf $KERNEL_INSTALL_DIR
install -d $KERNEL_INSTALL_DIR

# make drivers/scsi/ missing files
	(cd drivers/scsi; make -f M)
	
# UP KERNEL
%{!?_without_up:BuildKernel}

# SMP KERNEL
%{!?_without_smp:BuildKernel smp}

# BOOT kernel
%ifnarch i586 i686 athlon
KERNEL_INSTALL_DIR="$KERNEL_BUILD_DIR-installed/%{_libdir}/bootdisk"
rm -rf $KERNEL_INSTALL_DIR
%{!?_without_boot:BuildKernel BOOT}
%endif

%install
rm -rf $RPM_BUILD_ROOT
umask 022

install -d $RPM_BUILD_ROOT%{_prefix}/{include,src/linux-%{version}}

KERNEL_BUILD_DIR=`pwd`

KERNEL_BUILD_INSTALL=no
%{!?_without_up:KERNEL_BUILD_INSTALL=yes}
%{!?_without_smp:KERNEL_BUILD_INSTALL=yes}
[ "$KERNEL_BUILD_INSTALL" = "yes" ] && cp -a $KERNEL_BUILD_DIR-installed/* $RPM_BUILD_ROOT

for i in "" smp ; do
	if [ -e  $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i ] ; then
		rm -f $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
		ln -sf %{_prefix}/src/linux-%{version} \
			$RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
	fi
done
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT%{_includedir}/linux
ln -sf linux-%{version} $RPM_BUILD_ROOT%{_prefix}/src/linux

%ifarch sparc sparc64
ln -s ../src/linux/include/asm-sparc $RPM_BUILD_ROOT/usr/include/asm-sparc
ln -s ../src/linux/include/asm-sparc64 $RPM_BUILD_ROOT/usr/include/asm-sparc64
%else
ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
%endif

cp -a . $RPM_BUILD_ROOT/usr/src/linux-%{version}/

%ifarch sparc sparc64
sh %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/asm/BuildASM
%endif

cd $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}

%{__make} mrproper
find  -name "*~" -print | xargs rm -f
find  -name "*.orig" -print | xargs rm -f

%ifarch %{ix86}
cat $RPM_SOURCE_DIR/kernel-ia32.config > .config
%else
install $RPM_SOURCE_DIR/kernel-%{_target_cpu}.config .config
%endif

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif
#cat %{SOURCE1001} >> .config
cat %{SOURCE1002} >> .config
cat %{SOURCE1003} >> .config
cat %{SOURCE1004} >> .config
cat %{SOURCE1005} >> .config
cat %{SOURCE1666} >> .config
cat %{SOURCE1667} >> .config
%{!?_without_wrr:cat %{SOURCE1668} >> .config}
%{?_with_preemptive:cat %{SOURCE1999} >> .config}

%{__make} oldconfig
mv include/linux/autoconf.h include/linux/autoconf-up.h

%ifarch %{ix86}
cat $RPM_SOURCE_DIR/kernel-ia32-smp.config >> .config
%else
install $RPM_SOURCE_DIR/kernel-%{_target_cpu}-smp.config .config
%endif

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif

#cat %{SOURCE1001} >> .config
cat %{SOURCE1002} >> .config
cat %{SOURCE1003} >> .config
cat %{SOURCE1004} >> .config
cat %{SOURCE1005} >> .config
cat %{SOURCE1666} >> .config
cat %{SOURCE1667} >> .config
%{!?_without_wrr:cat %{SOURCE1668} >> .config}
%{?_with_preemptive:cat %{SOURCE1999} >> .config}

%{__make} oldconfig
mv include/linux/autoconf.h include/linux/autoconf-smp.h

install %{SOURCE1} $RPM_BUILD_ROOT/usr/src/linux-%{version}/include/linux/autoconf.h

# this generates modversions info which we want to include and we may as
# well include the depends stuff as well
%{__make} symlinks 
%{__make} include/linux/version.h
%{__make} "`pwd`/include/linux/modversions.h"

# this generates modversions info which we want to include and we may as
# well include the depends stuff as well, after we fix the paths

%{__make} depend 
find $RPM_BUILD_ROOT/usr/src/linux-%{version} -name ".*depend" | \
while read file ; do
	mv $file $file.old
	sed -e "s|$RPM_BUILD_ROOT\(/usr/src/linux\)|\1|g" < $file.old > $file
	rm -f $file.old
done

%{__make} clean
rm -f scripts/mkdep
rm -f drivers/net/hamradio/soundmodem/gentbl

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/linux-installed

%post
mv -f /boot/vmlinuz /boot/vmlinuz.old 2> /dev/null > /dev/null 
mv -f /boot/System.map /boot/System.map.old 2> /dev/null > /dev/null
ln -sf vmlinuz-%{version}-%{release} /boot/vmlinuz
ln -sf System.map-%{version}-%{release} /boot/System.map

if [ ! -L /lib/modules/%{version} ] ; then
	mv -f /lib/modules/%{version} /lib/modules/%{version}.rpmsave > /dev/null 2>&1
fi
rm -f /lib/modules/%{version}
ln -snf %{version}-%{release} /lib/modules/%{version}
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}.gz %{version}-%{release}
mv -f /boot/initrd /boot/initrd.old
ln -sf initrd-%{version}-%{release}.gz /boot/initrd

if [ -x /sbin/rc-boot ] ; then
	/sbin/rc-boot 1>&2 || :
fi

%post smp
mv -f /boot/vmlinuz /boot/vmlinuz.old 2> /dev/null > /dev/null
mv -f /boot/System.map /boot/System.map.old 2> /dev/null > /dev/null
ln -sf vmlinuz-%{version}-%{release}smp /boot/vmlinuz
ln -sf System.map-%{version}-%{release}smp /boot/System.map

if [ ! -L /lib/modules/%{version} ] ; then
	mv -f /lib/modules/%{version} /lib/modules/%{version}.rpmsave > /dev/null 2>&1
fi
rm -f /lib/modules/%{version}
ln -snf %{version}-%{release}smp /lib/modules/%{version}
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}smp.gz %{version}-%{release}smp
mv -f /boot/initrd /boot/initrd.old
ln -sf initrd-%{version}-%{release}smp.gz /boot/initrd

if [ -x /sbin/rc-boot ] ; then
	/sbin/rc-boot 1>&2 || :
fi

%post BOOT
if [ ! -L %{_libdir}/bootdisk/lib/modules/%{version} ] ; then
	mv -f %{_libdir}/bootdisk/lib/modules/%{version} %{_libdir}/bootdisk/lib/modules/%{version}.rpmsave
fi
if [ ! -L %{_libdir}/bootdisk/boot/vmlinuz-%{version} ] ; then
	mv -f %{_libdir}/bootdisk/boot/vmlinuz-%{version} %{_libdir}/bootdisk/boot/vmlinuz-%{version}.rpmsave
fi
rm -f %{_libdir}/bootdisk/lib/modules/%{version}
ln -snf %{version}-%{release}BOOT %{_libdir}/bootdisk/lib/modules/%{version}
rm -f %{_libdir}/bootdisk/boot/vmlinuz-%{version}
ln -snf vmlinuz-%{version}-%{release}BOOT %{_libdir}/bootdisk/boot/vmlinuz-%{version}

%postun
if [ -L /lib/modules/%{version} ]; then 
	if [ "`ls -l /lib/modules/%{version} | awk '{ print $11 }'`" = "%{version}-%{release}" ]; then
		if [ "$1" = "0" ]; then
			rm -f /lib/modules/%{version}
		fi
	fi
fi
rm -f /boot/initrd-%{version}-%{release}.gz

%post pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%post drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%postun smp
if [ -L /lib/modules/%{version} ]; then 
	if [ "`ls -l /lib/modules/%{version} | awk '{ print $11 }'`" = "%{version}-%{release}smp" ]; then
		if [ "$1" = "0" ]; then
			rm -f /lib/modules/%{version}
		fi
	fi
fi
rm -f /boot/initrd-%{version}-%{release}smp.gz

%post smp-pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&1

%post smp-drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&1

%postun BOOT
if [ -L %{_libdir}/bootdisk/lib/modules/%{version} ]; then 
	if [ "`ls -l %{_libdir}/bootdisk/lib/modules/%{version} | awk '{ print $11 }'`" = "%{version}-%{release}BOOT" ]; then
		if [ "$1" = "0" ]; then
			rm -f %{_libdir}/bootdisk/lib/modules/%{version}
		fi
	fi
fi

%post headers
rm -f /usr/src/linux
ln -snf linux-%{version} /usr/src/linux

%postun headers
if [ -L /usr/src/linux ]; then 
	if [ "`ls -l /usr/src/linux | awk '{ print $11 }'`" = "linux-%{version}" ]; then
		if [ "$1" = "0" ]; then
			rm -f /usr/src/linux
		fi
	fi
fi

%if %{?_without_up:0}%{!?_without_up:1}
%files
%defattr(644,root,root,755)
%ifarch alpha sparc ppc
/boot/vmlinux-%{version}-%{release}
%endif
/boot/vmlinuz-%{version}-%{release}
/boot/System.map-%{version}-%{release}
%dir /lib/modules/%{version}-%{release}
/lib/modules/%{version}-%{release}/kernel
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o
%ifnarch ppc
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/ide/ide-cs.o
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o
%endif
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/drm
/lib/modules/%{version}-%{release}/build
%ghost /lib/modules/%{version}-%{release}/modules.*

%files pcmcia-cs
%defattr(644,root,root,755)
%ifarch %{ix86}
/lib/modules/%{version}-%{release}/pcmcia
%endif
/lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/char/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o
/lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o
%ifnarch ppc
/lib/modules/%{version}-%{release}/kernel/drivers/ide/ide-cs.o
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o
/lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o
%endif

%files drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}/kernel/drivers/char/drm
%endif			# %%{_without_up}

%if %{?_without_smp:0}%{!?_without_smp:1}
%files smp
%defattr(644,root,root,755)
%ifarch alpha sparc ppc
/boot/vmlinux-%{version}-%{release}smp
%endif
/boot/vmlinuz-%{version}-%{release}smp
/boot/System.map-%{version}-%{release}smp
%dir /lib/modules/%{version}-%{release}smp
/lib/modules/%{version}-%{release}smp/kernel
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o
%ifnarch ppc
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/ide/ide-cs.o
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o
%endif
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
/lib/modules/%{version}-%{release}smp/build
%ghost /lib/modules/%{version}-%{release}smp/modules.*

%files -n kernel-smp-pcmcia-cs
%defattr(644,root,root,755)
%ifarch %{ix86}
/lib/modules/%{version}-%{release}smp/pcmcia
%endif
/lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o
/lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o
%ifnarch ppc
/lib/modules/%{version}-%{release}smp/kernel/drivers/ide/ide-cs.o
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o
/lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o
%endif

%files -n kernel-smp-drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
%endif			# %%{_without_smp}

%if %{?_without_boot:0}%{!?_without_boot:1}
%ifnarch i586 i686 athlon 		# narch
%files BOOT
%defattr(644,root,root,755)
%ifarch alpha sparc ppc		# arch
%{_libdir}/bootdisk/boot/vmlinux-%{version}-%{release}BOOT
%endif				#arch
%{_libdir}/bootdisk/boot/vmlinuz-%{version}-%{release}BOOT
%{_libdir}/bootdisk/boot/System.map-%{version}-%{release}BOOT
%dir %{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT
%ifarch i386			# i386_arch
%{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/pcmcia
%endif				# i386_arch
%{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/kernel
%{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/build
%ghost %{_libdir}/bootdisk/lib/modules/%{version}-%{release}BOOT/modules.*
%endif				# narch
%endif				# %%{_without_boot}

%files headers
%defattr(644,root,root,755)
%dir %{_prefix}/src/linux-%{version}
%{_prefix}/src/linux-%{version}/include
%{_includedir}/asm
%{_includedir}/linux

%files doc
%defattr(644,root,root,755)
%{_prefix}/src/linux-%{version}/Documentation

%files source
%defattr(644,root,root,755)
#%{_prefix}/src/linux-%{version}/abi
%{_prefix}/src/linux-%{version}/arch
%{_prefix}/src/linux-%{version}/crypto
%{_prefix}/src/linux-%{version}/drivers
%{_prefix}/src/linux-%{version}/fs
%{_prefix}/src/linux-%{version}/grsecurity
%{_prefix}/src/linux-%{version}/init
%{_prefix}/src/linux-%{version}/ipc
%{_prefix}/src/linux-%{version}/kdb
%{_prefix}/src/linux-%{version}/kernel
%{_prefix}/src/linux-%{version}/lib
%{_prefix}/src/linux-%{version}/mm
%{_prefix}/src/linux-%{version}/net
%{_prefix}/src/linux-%{version}/scripts
%{_prefix}/src/linux-%{version}/.config
%{_prefix}/src/linux-%{version}/.depend
%{_prefix}/src/linux-%{version}/.hdepend
%{_prefix}/src/linux-%{version}/COPYING
%{_prefix}/src/linux-%{version}/CREDITS
%{_prefix}/src/linux-%{version}/MAINTAINERS
%{_prefix}/src/linux-%{version}/Makefile
%{_prefix}/src/linux-%{version}/README
%{_prefix}/src/linux-%{version}/REPORTING-BUGS
%{_prefix}/src/linux-%{version}/Rules.make

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel.spec,v $
Revision 1.70.2.266.2.92  2002/09/27 13:01:17  marcus
- fixed serial for ppc
- fixed pldfblogo
- rel.8.

Revision 1.70.2.628  2002/09/27 12:57:37  marcus
- fixed serial for ppc
- fixed pldfblogo
- rel.8.

Revision 1.70.2.266.2.89  2002/07/29 07:15:42  cieciwa
- release 6.

Revision 1.70.2.266.2.85  2002/07/25 09:42:06  cieciwa
- cleaning unused patches.

Revision 1.70.2.266.2.84  2002/07/25 08:19:47  cieciwa
- removed IDE subsytem from 2.4.19-rc1-ac7.

Revision 1.70.2.266.2.83  2002/07/24 11:42:13  cieciwa
- Fixed SPEC.
	previous is a work-around version.

Revision 1.70.2.266.2.82  2002/07/24 11:27:20  cieciwa
- fixed (?) Sparc, Sparc64 build.

Revision 1.70.2.266.2.81  2002/07/23 09:40:55  cieciwa
- release 5.913,
- added patch to fix compile with o1_sched on.

Revision 1.70.2.266.2.80  2002/07/23 08:49:49  cieciwa
- release 5.912,
- added IDE subsystem from 2.4.19-rc1-ac7.

Revision 1.70.2.266.2.79  2002/07/19 09:33:42  cieciwa
- removed VIA patch.

Revision 1.70.2.266.2.78  2002/07/19 09:08:04  cieciwa
- release 5.911,
- added support for IDE from linux-2.4.19-rc-ac7.

Revision 1.70.2.266.2.77  2002/07/17 08:51:13  cieciwa
- release 5.910,
- turned on and fixed pldfblogo patch.

Revision 1.70.2.266.2.76  2002/07/16 10:51:45  cieciwa
- release 5.909,
- removed bcond --without newdrm.

Revision 1.70.2.266.2.75  2002/07/15 08:34:48  cieciwa
- added missing include <asm/machines.h> to sunlance.c

Revision 1.70.2.266.2.74  2002/07/14 20:33:50  cieciwa
- fixed DC395 driver,
- fixed [I hope] HTP366.

Revision 1.70.2.266.2.73  2002/07/12 13:40:34  cieciwa
- downgrade DC395 driver to version 1.40.

Revision 1.70.2.266.2.72  2002/07/12 12:32:50  cieciwa
- update CD395 driver to version 1.41.

Revision 1.70.2.266.2.71  2002/07/12 07:26:20  cieciwa
- release 5.907,
- moved building a new DRM modules to bcond.

Revision 1.70.2.266.2.70  2002/07/08 11:53:52  cieciwa
- added small patch to fix bug in kernel/module.c file.

Revision 1.70.2.266.2.69  2002/07/08 08:58:15  cieciwa
- release 5.906

Revision 1.70.2.266.2.68  2002/07/04 08:47:57  cieciwa
- updated Non-stabdart serial card support in config's.

Revision 1.70.2.266.2.67  2002/07/03 18:21:13  cieciwa
- fixed problem with patch numbering
	[ please place patch in numerical order ]

Revision 1.70.2.266.2.66  2002/07/03 18:11:52  cieciwa
- fixed config build.

Revision 1.70.2.266.2.65  2002/07/03 07:56:09  cieciwa
- added information about WRR to %release

Revision 1.70.2.266.2.64  2002/07/03 07:25:00  cieciwa
- release 5.904,
- separated EVMS config,
- added WRR support [in bcond, default - on]

Revision 1.70.2.266.2.63  2002/07/02 20:01:10  mmazur
- abi patch is no more so we don't apply it :)

Revision 1.70.2.266.2.62  2002/07/02 08:19:10  cieciwa
- release 5.903,
- added kernel-evms.config,
- cleaning cont.

Revision 1.70.2.266.2.61  2002/07/01 12:44:45  mmazur
- reverted last change...
- note to self: check twice before commiting

Revision 1.70.2.266.2.60  2002/07/01 12:30:13  mmazur
- descriptions for some sources (this spec isn't definitively developer
  friendly :)

Revision 1.70.2.266.2.59  2002/07/01 12:16:05  mmazur
- let's call it a typo :)

Revision 1.70.2.266.2.58  2002/07/01 10:06:20  cieciwa
- release 5.902,
- cleaning continuie ....

Revision 1.70.2.266.2.57  2002/07/01 09:06:02  cieciwa
- removed last changes .

Revision 1.70.2.266.2.56  2002/06/30 09:07:02  cieciwa
- s/p0/p1/ for %patch906

Revision 1.70.2.266.2.55  2002/06/30 08:52:52  cieciwa
- cleaning cont.

Revision 1.70.2.266.2.54  2002/06/29 21:34:51  cieciwa
- begin of cleaning

Revision 1.70.2.266.2.53  2002/06/29 21:17:01  cieciwa
- preparing for STABLE kernel.

Revision 1.70.2.571  2002/06/27 06:53:17  cieciwa
- for testing.

Revision 1.70.2.570  2002/06/26 10:41:34  cieciwa
- release 5.02a,
- downgrade netfilter,
- update patch-int to version 2.4.18.3

Revision 1.70.2.569  2002/06/25 11:48:57  cieciwa
- release 5.02\n - for testing used netfilter 25062002

Revision 1.70.2.568  2002/06/21 18:46:33  misiek
- changed rel to 5.01

Revision 1.70.2.567  2002/06/21 18:44:16  misiek
- updated jfs to 1.0.20

Revision 1.70.2.566  2002/06/21 12:34:33  misiek
- remove linux-o1-sched-xfs.patch

Revision 1.70.2.565  2002/06/21 12:22:56  misiek
- fix iptables requirement

Revision 1.70.2.564  2002/06/21 12:20:24  misiek
- release 5

Revision 1.70.2.563  2002/06/21 10:13:10  misiek
- fixed netfilter (cieciwa), added imq and smbfs fix; rel 4.03

Revision 1.70.2.562  2002/06/20 20:52:25  misiek
- updated jfs, ipvs, rel 4.02

Revision 1.70.2.561  2002/06/20 15:19:46  misiek
- downgrade xfs to version from kernel rel 3 + add mmap fix

Revision 1.70.2.560  2002/06/19 10:44:47  cieciwa
- release 4,
- updated XFS to last snapashot [19-06-2002]

Revision 1.70.2.559  2002/06/19 09:22:13  cieciwa
- test module XFS.

Revision 1.70.2.558  2002/06/12 10:43:14  cieciwa
- removed doplicate %%patch147.

Revision 1.70.2.557  2002/06/12 10:36:54  cieciwa
- fixed comments.

Revision 1.70.2.556  2002/06/12 09:59:39  cieciwa
- release 3.07,
- updated XFS to last snapshot from CVS.

Revision 1.70.2.555  2002/06/11 17:59:51  cieciwa
- added patch for compile XFS with scheduler O(1) by Pepe.

Revision 1.70.2.554  2002/06/10 08:08:31  cieciwa
- temporary turned off patch 146.

Revision 1.70.2.553  2002/06/10 07:44:31  cieciwa
- added provides to kernel-headers.

Revision 1.70.2.552  2002/06/10 07:04:24  cieciwa
- added two compatibility patches for iptables 1.2.7

Revision 1.70.2.551  2002/06/03 23:17:15  cieciwa
- release 3.05,
- updated XFS to snapshot 03.VI.2002.

Revision 1.70.2.550  2002/06/03 18:45:43  misiek
- turn on new xfs patch (sorry baggins)

Revision 1.70.2.549  2002/06/03 12:59:45  misiek
- Prereq -> Requires(post) and Requires(postun)

Revision 1.70.2.548  2002/05/30 23:48:56  cieciwa
- release 3.03,
- fixed netfilter [pptp-conntrack-nat and tftp-conntrack-nat],
- added hfsplus patch.

Revision 1.70.2.547  2002/05/29 10:53:26  cieciwa
- fixed missing export symbol in Makefile.

Revision 1.70.2.546  2002/05/29 09:30:04  cieciwa
- release 3.02,
- updated netfilter,
- fixed ippersonality wor work with new netfilter.

Revision 1.70.2.545  2002/05/28 12:49:01  misiek
- support for --without up + --without smp at the same time (based on pepe@apollo.net.pl patch)
- removed lot of not needed conditions

Revision 1.70.2.544  2002/05/28 09:36:21  misiek
- clean BuildKernel macro (now BOOT kernel will be built as UP kernel as it should)

Revision 1.70.2.543  2002/05/28 00:21:05  misiek
- release 3

Revision 1.70.2.542  2002/05/27 16:20:08  misiek
- fix post/posun scripts (depmod) and drm %%files; rel 2.45

Revision 1.70.2.541  2002/05/27 12:41:41  misiek
- on ppc few pcmcia drivers do not exist

Revision 1.70.2.540  2002/05/27 09:14:18  cieciwa
- release 2.44.

Revision 1.70.2.539  2002/05/27 08:15:52  cieciwa
- moved all PCMCIA drivers from SMP kernel.

Revision 1.70.2.538  2002/05/26 15:48:16  baggins
- release 2.43
- backed xfs update, deadlocks on O(1) scheduler

Revision 1.70.2.537  2002/05/26 09:56:33  baggins
- release 2.42
- updated XFS patch, lotsa fixes and improvements

Revision 1.70.2.536  2002/05/26 09:00:08  misiek
- on x86 always use cmpxchg in drm code

Revision 1.70.2.535  2002/05/25 22:24:56  misiek
- turning acpi bcond changes release string, too

Revision 1.70.2.534  2002/05/25 19:06:27  misiek
- fix acpi build

Revision 1.70.2.533  2002/05/25 16:54:14  misiek
- move all pcmcia modules to pcmcia subpackage

Revision 1.70.2.532  2002/05/25 13:46:07  misiek
- rel 2.39 (test release before rel 3)

Revision 1.70.2.531  2002/05/25 13:45:02  misiek
- added athlon support

Revision 1.70.2.530  2002/05/25 13:05:13  cieciwa
- s/-n kernel-smp*/smp*/

Revision 1.70.2.529  2002/05/25 12:51:31  cieciwa
- s/ACPI/acpi/,
- s/pcmcia-cs-smp/-n kernel-smp-pcmcia-cs/,
- s/drm-smp/-n kernel-smp-drm/.

Revision 1.70.2.528  2002/05/25 12:49:34  cieciwa
-

Revision 1.70.2.527  2002/05/25 12:43:37  cieciwa
- fixed KernelBuild macro.

Revision 1.70.2.526  2002/05/25 12:16:31  misiek
- absolute paths in post scripts

Revision 1.70.2.525  2002/05/25 12:07:20  misiek
- Prereq instead of Requires

Revision 1.70.2.524  2002/05/25 11:01:09  misiek
- typo again :/

Revision 1.70.2.523  2002/05/25 10:48:07  misiek
- add requires/provides to subpackages

Revision 1.70.2.522  2002/05/25 10:08:33  misiek
- typo

Revision 1.70.2.521  2002/05/25 09:57:47  cieciwa
- release 2.38,
- [bcond] turn on ACPI.

Revision 1.70.2.520  2002/05/25 09:43:19  cieciwa
- updated JFSfs to version 2.4-1.0.18

Revision 1.70.2.519  2002/05/25 09:15:37  misiek
- copy proper drm Makefile

Revision 1.70.2.518  2002/05/25 09:14:53  cieciwa
- moveing DRM to kernel-drm package.

Revision 1.70.2.517  2002/05/24 22:51:27  misiek
- added xfree 4.2.0 drm

Revision 1.70.2.516  2002/05/24 13:04:15  dobrek
- turn on patch128 - AXP fix.

Revision 1.70.2.515  2002/05/23 12:10:38  cieciwa
- included patch915.

Revision 1.70.2.514  2002/05/23 07:58:29  cieciwa
- release 2.36,
- added amd762_irq_router.ptahc by Pepe,
- fixed pcmcia-cs{,-smp} %%post and %%postun.

Revision 1.70.2.513  2002/05/22 11:43:15  cieciwa
- update DC395 driver to version 1.40

Revision 1.70.2.512  2002/05/21 12:18:09  cieciwa
- added %ghost /lib/modules/<kernel_version>/modules.*

Revision 1.70.2.511  2002/05/21 11:16:21  cieciwa
- removed modules.* file from %%files - generated in %%post.

Revision 1.70.2.510  2002/05/20 15:59:13  cieciwa
- fixed PCMCIA-cs.

Revision 1.70.2.509  2002/05/20 09:38:00  cieciwa
- pcmcia-cs module fixed.

Revision 1.70.2.508  2002/05/20 09:23:18  cieciwa
- release 2.35,
- fixed pcmcia-cs for SMP.

Revision 1.70.2.507  2002/05/18 22:20:19  misiek
- fix EVMS on O(1) enabled kernel; rel 2.34

Revision 1.70.2.506  2002/05/18 01:17:55  baseciq
- arekm: updated ntfs to 2.0.7d

Revision 1.70.2.505  2002/05/17 16:50:04  misiek
- bump release to 2.32

Revision 1.70.2.504  2002/05/17 16:48:39  misiek
- grsecurity from head

Revision 1.70.2.503  2002/05/17 16:38:48  misiek
- added ext3 0.9.18

Revision 1.70.2.502  2002/05/17 16:16:20  misiek
- reverted part of baggins changes (grsecurity)

Revision 1.70.2.501  2002/05/17 14:43:30  baggins
- uncommented EVMS - warning conflict with O(1)

Revision 1.70.2.500  2002/05/17 14:01:19  baggins
- updated xfs patch
- fixed freeswan patch
- commented out EVMS patch (b0rken)
- fixed linux-modules-fexed patch

Revision 1.70.2.499  2002/05/17 09:21:51  misiek
- add _pr for preemptible and _o1 for O(1) scheduler in release string

Revision 1.70.2.498  2002/05/17 07:39:54  misiek
- updated ntfs

Revision 1.70.2.497  2002/05/16 21:34:49  misiek
- mppe patches merged

Revision 1.70.2.496  2002/05/16 14:57:26  misiek
- don't use nested conditions; add mppe support (zagrodzki)

Revision 1.70.2.495  2002/05/16 08:56:21  cieciwa
- release 2.29,
- change number for HPFS patch.

Revision 1.70.2.494  2002/05/16 08:39:17  cieciwa
- release temporary 2.28.5,
- added HPFS patch - fixed problem with mounting,
- updated preemptible patch,
- updated preemtible+O1-sched patch.

Revision 1.70.2.493  2002/05/12 22:50:03  marcus
- enabled patch 143 (processor id for UP) for PPC

Revision 1.70.2.492  2002/05/12 18:29:54  misiek
- ntfs 2.0.7b

Revision 1.70.2.491  2002/05/12 07:48:33  misiek
- add new ntfs driver (backport from 2.5)

Revision 1.70.2.490  2002/05/12 07:34:11  misiek
- no longer obsolete kernel-doc

Revision 1.70.2.489  2002/05/11 10:54:59  cieciwa
- release 2.27,
- updated ippersonality,
- updated lvm.

Revision 1.70.2.488  2002/05/09 12:50:25  misiek
- updated evms to 1.0.1

Revision 1.70.2.487  2002/05/03 22:11:22  cieciwa
- release 2.26,
- fixed %if ... %else ... %endif.

Revision 1.70.2.486  2002/05/03 22:04:38  cieciwa
- removed grsecurity from bcond.

Revision 1.70.2.485  2002/05/01 23:55:32  cieciwa
- fix.

Revision 1.70.2.484  2002/05/01 23:53:45  cieciwa
- release 2.25,
- update freeswan to version 1.97.

Revision 1.70.2.483  2002/04/30 07:17:48  cieciwa
- fixed RPM requires.

Revision 1.70.2.482  2002/04/29 21:16:09  cieciwa
- fixed pcmcia-cs package definition.

Revision 1.70.2.481  2002/04/29 21:04:36  cieciwa
- release 2.24,
- added package pcmcia-cs,
- updated DC395 sriver,
- cutting ChangeLog - only 2.4.18.

Revision 1.70.2.480  2002/04/28 10:29:18  cieciwa
- small fixed.

Revision 1.70.2.479  2002/04/26 12:16:34  cieciwa
- s/-p0/-p1/ for %patch142.

Revision 1.70.2.478  2002/04/26 10:49:02  cieciwa
- added Tulip Vlan patch by Jacek Konieczny <jajcus@bnet.pl>,
- PPC procesor display by Marcin Bohosiewicz <marcus@kernel.pl>,
- added missing MODULES_LICENSE to quota_*.c by me.

Revision 1.70.2.477  2002/04/26 09:48:39  cieciwa
- cleanup grsecurity + scheduler O1

Revision 1.70.2.476  2002/04/26 09:10:14  cieciwa
- added PowerBook Button device fix.[PPC]

Revision 1.70.2.475  2002/04/26 09:03:26  cieciwa
- fixed IP Personality by Pepe.

Revision 1.70.2.474  2002/04/23 08:26:36  cieciwa
- fixed grsecurity+o1 scheduler by Pepe. <pepe@apollo.net.pl>

Revision 1.70.2.473  2002/04/20 14:16:30  cieciwa
- added threads.h to include/asm/smp.h.

Revision 1.70.2.472  2002/04/19 13:50:59  cieciwa
- updated VIA Southbridge from 2.4.29-pre7.

Revision 1.70.2.471  2002/04/19 10:53:01  cieciwa
- release 2.21,
- updated XFS to snapshot from CVS [19.04.2002],
- fixed ip_nat_pptp unresolved symbols.

Revision 1.70.2.470  2002/04/18 11:26:54  cieciwa
- ip_nat_pptp fixed.

Revision 1.70.2.469  2002/04/18 08:54:06  cieciwa
- fixed unresolved symbol ip_pptp_lock.

Revision 1.70.2.468  2002/04/15 11:51:39  cieciwa
- cosmetics

Revision 1.70.2.467  2002/04/15 11:37:07  cieciwa
- release 2.1,
- update netfilter;
- update JFS;
- update XFS.

Revision 1.70.2.466  2002/04/14 18:54:00  misiek
- build BOOT kernel on ppc; release 2

Revision 1.70.2.465  2002/04/13 09:39:48  cieciwa
- release 1,
- cosmetics changes.
